Bug 719174 - gridsite-devel should depend on openssl-devel
Summary: gridsite-devel should depend on openssl-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gridsite
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-06 00:35 UTC by Brian Bockelman
Modified: 2011-08-05 08:31 UTC (History)
1 user (show)

Fixed In Version: gridsite-1.7.15-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-22 19:30:36 UTC
Type: ---


Attachments (Terms of Use)

Description Brian Bockelman 2011-07-06 00:35:39 UTC
Description of problem:
gridsite-devel does not require openssl-devel, yet the gridsite.h header is unusable without it.

Version-Release number of selected component (if applicable):
All

How reproducible:
100%

Steps to Reproduce:
1. Setup a new mock root with gridsite installed
2. Write a C program that includes gridsite.h
3. Compile program
  
Actual results:

Compiler error of the form:

In file included from util.c:24:
/usr/include/gridsite.h:50:25: error: openssl/ssl.h: No such file or directory
/usr/include/gridsite.h:54:28: error: openssl/crypto.h: No such file or directory


Expected results:

openssl/ssl.h should be brought in automatically through RPM's dependency system.

Additional info:
None

Comment 1 Fedora Update System 2011-07-06 04:25:34 UTC
gridsite-1.7.15-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gridsite-1.7.15-4.fc15

Comment 2 Fedora Update System 2011-07-06 04:26:21 UTC
gridsite-1.7.15-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gridsite-1.7.15-4.el6

Comment 3 Fedora Update System 2011-07-06 13:58:38 UTC
gridsite-1.7.15-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gridsite-1.7.15-4.el5

Comment 4 Fedora Update System 2011-07-06 18:03:43 UTC
Package gridsite-1.7.15-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gridsite-1.7.15-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gridsite-1.7.15-4.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-07-22 19:30:31 UTC
gridsite-1.7.15-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-07-31 03:48:20 UTC
gridsite-1.7.15-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-08-05 08:31:28 UTC
gridsite-1.7.15-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.